---
# see https://docs.drone.io/pipeline/configuration/
kind: pipeline
type: docker
name: build

steps:
  - name: submodules
    image: alpine/git
    commands:
      - git submodule update --init --recursive
      - cp -rv garage/doc/book content/documentation

  - name: build-css
    image: node
    commands:
      - npm install
      - npx tailwindcss -i ./src/input.css -o ./static/style.css --minify

  - name: build-zola
    image: ghcr.io/getzola/zola:v0.15.3
    entrypoint: [ "/bin/zola" ]
    command: [ "build", "-u", "https://garagehq.deuxfleurs.fr" ]

  - name: upload
    image: plugins/s3
    settings:
      bucket: garagehq.deuxfleurs.fr
      access_key:
        from_secret: aws_access_key_id
      secret_key:
        from_secret: aws_secret_access_key
      source: public/**/*
      strip_prefix: public/
      target: /
      path_style: true
      endpoint: https://garage.deuxfleurs.fr
      region: garage
    when:
      branch:
      - master
      event:
        exclude:
          - pull_request
---
kind: signature
hmac: 8420ca485ee30f847d4f7f3bf8a40eedb5b4697c91ec1e7005366cdb30282c59

...
